Bug 214423 - Beagle incorrectly identifies files as text/plain and query crashes.
Beagle incorrectly identifies files as text/plain and query crashes.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: beagle (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Nielsen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-07 11:07 EST by Steve Bergman
Modified: 2008-05-06 12:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:44:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of beagle-query command (3.69 KB, text/plain)
2006-11-07 11:08 EST, Steve Bergman
no flags Details
Test file that crashes beagle-query --verbose (54 bytes, application/octet-stream)
2006-11-07 11:11 EST, Steve Bergman
no flags Details

  None (edit)
Description Steve Bergman 2006-11-07 11:07:42 EST
Description of problem:

Beagle incorrectly identifies files as text/plain and "beagle-query --verbose"

Version-Release number of selected component (if applicable):

beagle-0.2.10-6.fc6

How reproducible:

Always, for affected files.

Steps to Reproduce:
1. Index the attached file
2. beagle-query --mime text/plain --verbose rueb group 
  
Actual results:

Exception.

Expected results:

That it would not return this result and would not crash.


Additional info:

Oddly, gnome-vfs-info identifies the file as "application/octet stream" and
'file' identifies it as "sticky ASCII text".  But beagle sees it as text/plain.

I first reported upstream, but they say that their beagle will not even try to
index the file.  I also see this on microsoft .MDX files.  It identifies them as
text and then crashes when querying with --verbose.
Comment 1 Steve Bergman 2006-11-07 11:08:08 EST
Created attachment 140570 [details]
Output of beagle-query command
Comment 2 Steve Bergman 2006-11-07 11:11:17 EST
Created attachment 140571 [details]
Test file that crashes beagle-query --verbose

I also have an .MDX file I could upload, but this is the simplest case I have.
Comment 3 Bug Zapper 2008-04-04 00:29:53 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 12:44:04 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.